Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Developer
kmcf
Posts: 5
Registered: ‎04-16-2009
My Device: Not Specified
Accepted Solution

Can't see Component package 4.7

I have installed JDE plugin for eclipse 1.0.0.67 from the installer (EXE) download, which seems to install component package 4.5. Since I want to run it using component package 4.7, I downloaded the zip file containing 4.7 and following the install instructions with out error. But when I go to Windows>preferences and select "Blackberry JDE" and select "installed components" I can not select component package 4.7 only 4.5. I have verified that 4.7 is installed by going into the Help menu and selecting "Software updates..". It states that the Blackberry component package 4.7.0.46 is installed. Has anyone had this problem and found a resolution.

 

-Keith 

Please use plain text.
Administrator
MSohm
Posts: 14,429
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Can't see Component package 4.7

Did you restart Eclipse after installing the version 4.7 component pack?  If so please try removing and re-installing the plug in.  It appears that the installation did not complete.
Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
New Developer
kmcf
Posts: 5
Registered: ‎04-16-2009
My Device: Not Specified

Re: Can't see Component package 4.7

Thanks Mark for looking in to this.

 

I was not sure that I restarted after I installed the 4.7 component pack. So I just retried it as you said by uninstalling the component and installing it again and restarting eclipse. But again I got the same results. Like before it show it as an installed componet, but I can not select it in the drop down.

 

Is there an install log that I can look at to verify if there were any errors?

 

-Keith 

Please use plain text.
Administrator
MSohm
Posts: 14,429
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Can't see Component package 4.7

What version of Eclipse are you using?  Do you have any other plug-ins installed?  Do you see the same results when installing from the BlackBerry update site?
Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
New Developer
kmcf
Posts: 5
Registered: ‎04-16-2009
My Device: Not Specified

Re: Can't see Component package 4.7

Mark,

 

I have tried it in elipse thorugh the BlackBerry update site, but in that case neither component package was available. That is why I tried the manual way. No I don't have any other 3rd party plugins installed. My version of eclipse is Version: 3.4.2 

Please use plain text.
Retired
saziz
Posts: 76
Registered: ‎07-11-2008
My Device: Z10
My Carrier: SingTel

Re: Can't see Component package 4.7

Would you mind trying the plug-in with a fresh installation of Eclipse 3.4.1 instead?
Sarim
BlackBerry Development Advisor
www.BlackBerryDeveloper.com
Please use plain text.
New Developer
kmcf
Posts: 5
Registered: ‎04-16-2009
My Device: Not Specified

Re: Can't see Component package 4.7

Not at all. I will try this later today and post my results.

 

Thanks,

Keith 

Please use plain text.
New Developer
kmcf
Posts: 5
Registered: ‎04-16-2009
My Device: Not Specified

Re: Can't see Component package 4.7

Thank you! That was the problem and my mistake for not noticing the supported versions of eclipse.

 

-Keith 

Please use plain text.